
ALTER VIEW [dbo].[V_documentoSucursal]
AS

SELECT T0.id, T0.id_sucursal, SUC.codigoRecursiva
FROM (
SELECT dbo.doc_documento.id
	, CASE WHEN [doc_documento.solicitud].id_sucursal IS NOT NULL THEN [doc_documento.solicitud].id_sucursal 
	WHEN [doc_documento.ot].id_sucursal IS NOT NULL THEN [doc_documento.ot].id_sucursal 
	WHEN [doc_documento.cotizacion].id_sucursal IS NOT NULL THEN [doc_documento.cotizacion].id_sucursal 
	WHEN [doc_documento.entrada].id_sucursal IS NOT NULL THEN [doc_documento.entrada].id_sucursal
	WHEN [doc_documento.requisicion].id_sucursal IS NOT NULL THEN [doc_documento.requisicion].id_sucursal 
	WHEN [doc_documento.ordenCompra].id_sucursal IS NOT NULL THEN [doc_documento.ordenCompra].id_sucursal 
	ELSE 0 END AS id_sucursal
FROM dbo.doc_documento LEFT OUTER JOIN
	dbo.[doc_documento.ordenCompra] ON dbo.doc_documento.id = dbo.[doc_documento.ordenCompra].id LEFT OUTER JOIN
	dbo.[doc_documento.cotizacion] ON dbo.doc_documento.id = dbo.[doc_documento.cotizacion].id LEFT OUTER JOIN
	dbo.[doc_documento.entrada] ON dbo.doc_documento.id = dbo.[doc_documento.entrada].id LEFT OUTER JOIN
	dbo.[doc_documento.ot] ON dbo.doc_documento.id = dbo.[doc_documento.ot].id LEFT OUTER JOIN
	dbo.[doc_documento.requisicion] ON dbo.doc_documento.id = dbo.[doc_documento.requisicion].id LEFT OUTER JOIN
	dbo.[doc_documento.solicitud] ON dbo.doc_documento.id = dbo.[doc_documento.solicitud].id 
)T0  inner join ter_sucursal SUC on SUC.id=T0.id_sucursal



